Subject: bug#8746: /usr/bin/sed on HP-UX truncates, but not always

From: "Daniel Richard G." <[email-masked]>
Date: Fri, 27 May 2011 15:28:10 -0400

I am using Libtool 2.4. Recently, I had a build fail on an HP-UX/Itanium
11.23 system, with the error

    libtool: eval: line 1088: syntax error: unexpected end of file

I traced this down to $SED truncating $relink_command. But I see that
Libtool has a configure-time check for this, and /usr/bin/sed passed, so
I dug a little deeper.

Sample test file:

    aaaaaaaaaaaaaa...(6000 a's in all)...aaaaaaaaaaaaaaa@foo@

% cat testfile | /usr/bin/sed s/a/b/ | wc -c
6006
% cat testfile | /usr/bin/sed 's/@foo@/bar/' | wc -c
4109

$SED acts on an @inst_prefix_dir@ placeholder at the end of
$relink_command, so this appears to be what was going on.

--Daniel

-- 
NAME = Daniel Richard G.     _\|/_    Remember, skunks
MAIL = [email-masked]     (/o|o\) _- don't smell bad---
MAIL+= [email-masked]   < (^),>     it's the people who
WWW  = (not there yet!)      /   \      annoy us that do!